/*
 * @Author: wjc
 * @Date: 2024-06-05 11:23:46
 * @LastEditors: wjc
 * @LastEditTime: 2024-06-05 11:26:42
 * @Description:
 */
import type { App } from 'vue'
import * as Pinia from 'pinia'
import piniaPluginPersistedstate from 'pinia-plugin-persistedstate'

const store = Pinia.createPinia()
store.use(piniaPluginPersistedstate)

export function setupStores(app: App<Element>) {
  app.use(store)
}

export { store }
